Announcement

Collapse
No announcement yet.

Installing The RadeonHD Driver On Ubuntu

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Installing The RadeonHD Driver On Ubuntu

    Hi
    I have a problem in order to install the driver how it's described on:
    http://www.phoronix.com/scan.php?pag...item=843&num=1
    when I try to run the command:
    ./autogen.sh --prefix/usr/

    I find the error:
    No such file or directory

    but I think to have installed all the packages required...

    Have you some suggestions?

  • #2
    http://www.phoronix.com/forums/showp...5&postcount=37

    Comment


    • #3
      It sounds like you're forgetting to change to the directory where the driver source was downloaded.

      so make sure you "cd xf86-video-radeonhd" first.

      Comment


      • #4
        No it is correct, the debian dir name is different than when you compile is manually.

        Comment


        • #5
          I chenged the directory...
          My lines command are:

          cico-sail@Cico:~/xf86-video-radeonhd$ ./autogen.sh --prefix=/usr/
          and the message (in italian)
          bash: ./autogen.sh: Nessun file o directory (that it's like "No such file or directory"

          Comment


          • #6
            Are you using files pulled from the git or the debian package?

            Comment


            • #7
              Hi Kano
              I tried also your suggestions on the link "Build fix for Debian[...]" but I haven't the solution :-(
              After that I have insterted the line:
              deb-src http://ftp.de.debian.org/debian sid main
              in the file specified, in the update manager I have an error with this message:
              W: GPG error: http://ftp.de.debian.org sid Release: the follow signatures aren't checked because the pubblic key is not available NO_PUBKEY A70DAF536070D3A1
              3

              Sorry..I'm not a developer and these are my first step on linux and Ubuntu.. :-)

              Comment


              • #8
                Hi rbmorse
                I get the package with:
                git-clone git://anongit.freedesktop.org/git/xorg/driver/xf86-video-radeonhd

                Comment


                • #9
                  That's the one I used, and the install went fine, remembering to make the directory where the git files are located the active directory (cd xf86<tab><enter>) and remembering that

                  make install

                  has to be done as root (or sudo).

                  curious....what happens when you do this (in a user level terminal window):

                  cd xf86<tab><enter>
                  git pull<enter>

                  Comment


                  • #10
                    A gpg error is not fatal, basically just a warning, but you can use (after sudo -i):

                    for k in $(apt-get update 2>&1|grep -o NO_PUBKEY.*|sed 's/NO_PUBKEY //');do gpg --recv-keys --keyserver wwwkeys.eu.pgp.net $k;gpg --armor --export $k|apt-key add -;done

                    Comment


                    • #11
                      RE:Wont run.

                      I think you just to run command like this.
                      "sh runthis.sh" anything ending in '.sh" is a shell script and you must tell bash to treat it as so.
                      Hope that helps ya.

                      Comment


                      • #12
                        Only if the script is reallly POSIX compatible on systems like *buntu where sh is no symlink to bash but dash. My scripts are, but not all, some have implicit bash depends like some well known ATI scripts

                        Comment


                        • #13
                          Hi rbmorse
                          I maded this steps:
                          cico-sail@Cico:~$ cd xf86-video-radeonhd/
                          cico-sail@Cico:~/xf86-video-radeonhd$ git pull
                          fatal: Not a git repository

                          :-(

                          Comment


                          • #14
                            Hi Kano
                            Your suggestion is correct :-) now I haven't more the previous error.
                            But now I have this:
                            cico-sail@Cico:~$ apt-get devscripts fakeroot pbuilder
                            E: Operazione non valida devscripts (in english can be like: Operation not valid devscripts)
                            I need more one more help :-)
                            Tank's

                            Comment


                            • #15
                              Sorry forgot the "install" statement after apt-get. Just add this.

                              Comment

                              Working...
                              X